Name:           python-kudu
Version:        0.19
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A deployment command line program in Python.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/torfeld6/kudu
Source:         %{pypi_source kudu}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'kudu' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-kudu
Summary:        %{summary}

%description -n python3-kudu %_description


%prep
%autosetup -p1 -n kudu-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-kudu -f %{pyproject_files}


%changelog
%autochangelog